## com.gargoylesoftware.htmlunit
Interface OnbeforeunloadHandler

    public interface OnbeforeunloadHandler

A handler for `onbeforeunload` events.

Version:
  $Revision: 4002 $
Author:
  Ahmed Ashour

Method Summary
`boolean` `handleEvent(Page page, java.lang.String returnValue)` Handles an `onbeforeunload` event for the specified page.

Method Detail

### handleEvent

    boolean handleEvent(Page page,
                        java.lang.String returnValue)

  Handles an `onbeforeunload` event for the specified page.

  Parameters:
    `page` - the page on which the event occurred
    `returnValue` - the event's `returnValue`
  Returns:
    `true` to accept the event, `false` otherwise

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.